"use strict";
/*********************************
 File:       reactolog.js
 Function:   Does Reactotron logging
 Copyright:  Bertco LLC
 Date:       2020-02-14
 Author:     mkahn
 **********************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.setReactotronInstance = exports.display = exports.logImportant = exports.log = void 0;
var reactotronInstance;
var log = function (message) {
    if (reactotronInstance !== undefined) {
        reactotronInstance.log(message);
    }
};
exports.log = log;
var logImportant = function (message) {
    if (reactotronInstance !== undefined) {
        reactotronInstance.logImportant(message);
    }
};
exports.logImportant = logImportant;
var display = function (message) {
    if (reactotronInstance !== undefined) {
        reactotronInstance.display(message);
    }
};
exports.display = display;
// Pass in the configured reference
var setReactotronInstance = function (instance) { return reactotronInstance = instance; };
exports.setReactotronInstance = setReactotronInstance;
//# sourceMappingURL=reactolog.js.map