/*********************************
 File:       sentry.js
 Function:   Does Sentry logging
 Copyright:  Bertco LLC
 Date:       2021-06-08
 Author:     mkahn
 **********************************/
import { Exception } from '@sentry/react-native';
import { LogLevel, Message } from './types';
export declare const log: (message: Message | Exception, logLevel: LogLevel) => void;
export declare const logCritical: (message: Message) => void;
export declare const logFatal: (message: Message) => void;
export declare const captureException: (e: Exception) => void;
