import Reactotron from 'reactotron-react-native';
export declare type ReactotronInstance = typeof Reactotron;
export declare type Message = object | string | number | boolean;
export declare enum LogLevel {
    silent = 0,
    error = 1,
    warn = 2,
    debug = 3,
    info = 4,
    verbose = 5,
    silly = 6
}
export interface XLoggerConfig {
    logLevel: LogLevel;
    useCorrespondingConsoleMethod: boolean;
    useSentry: boolean;
    printLogLevel: boolean;
    printLogTime: boolean;
    reactotronInstance?: ReactotronInstance;
    useReactotron: boolean;
}
