/*********************************
 File:       reactolog.js
 Function:   Does Reactotron logging
 Copyright:  Bertco LLC
 Date:       2020-02-14
 Author:     mkahn
 **********************************/
import Reactotron from 'reactotron-react-native';
import { Message } from './types';
export declare const log: (message: Message) => void;
export declare const logImportant: (message: Message) => void;
export declare const display: (message: Message) => void;
export declare const setReactotronInstance: (instance: typeof Reactotron | undefined) => (import("reactotron-core-client").Reactotron<import("reactotron-react-native").ReactotronReactNative> & import("reactotron-react-native").ReactotronReactNative) | undefined;
